%define version  3.0.5
%define release 2mdk
%define name Maelstrom

Summary:   Maelstrom
Name:      %{name}
Version:   %{version}
Release:   %{release}
License: LGPL
Group:     Games/Arcade
Source0:   %{name}-%{version}.tar.bz2
Source10: %name.16.png.bz2
Source11: %name.32.png.bz2
Source12: %name.48.png.bz2
Patch:     maelstrom-snd2wav.patch.bz2
URL:       http://www.devolution.com/~slouken/Maelstrom/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	SDL_net-devel
BuildRequires:	XFree86-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	esound-devel
BuildRequires:	gcc-c++
BuildRequires:	texinfo

%description
Maelstrom is a rockin' asteroids game ported from the Macintosh
Originally written by Andrew Welch of Ambrosia Software, and ported
to UNIX and then SDL by Sam Lantinga <slouken@devolution.com>

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%patch0 -p1

%build

%configure --disable-rpath 

%make

%install

%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} << EOF
?package(%{name}):\
command="/usr/bin/Maelstrom"\
title="Maelstrom"\
longtitle="Asteroids game"\
needs="x11"\
icon="Maelstrom.png"\
section="Amusement/Arcade"
EOF
) 

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-, root, root)
%doc COPYING CREDITS README* Changelog Docs
%{_bindir}/*
%{_prefix}/games/Maelstrom
%{_menudir}/*
%_iconsdir/*.png
%_miconsdir/*
%_liconsdir/*

%changelog
* Fri Jan 18 2002 Stefan van der Eijk <stefan@eijk.nu> 3.0.5-2mdk
- BuildRequires

* Mon Jan 14 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.0.5-1mdk
- 3.0.5
- convert xpms to pngs

* Sun Jul  8 2001 Stefan van der Eijk <stefan@eijk.nu> 3.0.1-10mdk
- BuildRequires:	libSDL-devel

* Wed Jun 13 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 3.0.1-9mdk
- recompile with new SDL

* Sat Mar 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0.1-8mdk
- fix icons

* Fri Nov 10 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.0.1-7mdk
- patch to fix build with gcc-2.96

* Wed Sep 27 2000 Vincent Saugey <vince@mandrakesoft.com> 3.0.1-6mdk
- really fix menu entry

* Wed Sep 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.0.1-5mdk
- fix menu entry

* Fri Jul 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.0.1-4mdk
- macro
- bm
- menu

* Wed Apr 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.0.1-3mdk
- fix group
- fix source permission

* Thu Dec 09 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- mandrake adaptations

* Tue Sep 21 1999 Sam Lantinga <slouken@devolution.com>

- first attempt at a spec file

